// Draws the object
draw_self();

// Checks if moused over and allowed to show debug info
if (display_info && obj_camera.show_debug)
{
	// Sets text draw values
	draw_set_color(c_black);
	draw_set_alpha(1);
	draw_set_font(fnt_debug);

	draw_set_halign(fa_center);
	draw_set_valign(fa_middle);
	
	// Sets string to values
	var _cpu_string = "CPU Name: " + string(staged_name);
	
	// Checks if the usuage value is set
	if (staged_usage != -1)
	{
		_cpu_string += "\nUsage: " + string(staged_usage) + "%";
	}

	// Draws the text at an adjusted depth before setting it back so it apprears infront of object
	var _old_depth = depth;
	depth = -100;
	draw_text(mouse_x, mouse_y - 100, _cpu_string);
	depth = _old_depth;
	
	// Resets draw values
	draw_set_color(c_white);
	draw_set_alpha(1);
	draw_set_halign(fa_left);
	draw_set_valign(fa_top);
}