// Colisions scalar
var _bump_scale = 0.1;

// Bars center x position
var _center_x = x + image_xscale * 0.5;

// Scale of collision stregth
var _bump_strength = (y - other.bbox_bottom) * _bump_scale;

// Only applies if less than 1
if (_bump_strength < -1)
{
	other.new_velo_y += _bump_strength;
}

// Applies horizontal movement and rotation
if (other.x < _center_x)
{
	other.new_velo_x += _bump_strength * 0.2; 
	other.new_angle_velo -= _bump_strength * 1;
}
else if (other.x > _center_x)
{
	other.new_velo_x -= _bump_strength * 0.2;
	other.new_angle_velo += _bump_strength * 1;
}

// Counter for collision
other.collisions++;