// Checks for handler
if (!instance_exists(obj_lw_handler))
{
	// Creates the LW handler
	var _lw_handler = instance_create_depth(0, 0, 0, obj_lw_handler);
}

// Function for creating a new object
create_battery = function(_id)
{
	// Wallpaper position data
	var _center_x = obj_camera.wallpaper_width * 0.5;
	var _center_y = obj_camera.wallpaper_height * 0.5;

	var _curr_display_width = camera_get_view_width(view_camera[0]);
	var _curr_display_height = camera_get_view_height(view_camera[0]);

	var _origin_x = _center_x - (_curr_display_width * 0.5);
	var _origin_y = _center_y - (_curr_display_height * 0.5);
	
	// Creates new object
	var _new_battery = instance_create_depth(_origin_x + (_curr_display_width * 0.2), _origin_y - 200 , depth + 1, obj_battery);
	
	// Sets new object variables from id parameter
	_new_battery.staged_id = _id;
	_new_battery.staged_name = obj_lw_handler.battery_name[_id];
	_new_battery.staged_state = obj_lw_handler.battery_is_charging[_id];
	_new_battery.staged_charge = obj_lw_handler.battery_charge[_id];
	_new_battery.staged_time = obj_lw_handler.battery_time[_id];
}