// Scale of movement from collision
var _bump_scale = 0.4;

// Calculates distance and direction
var _obs_dist = point_distance(x, y, other.x, other.y);
var _obs_dir = point_direction(other.x, other.y, x, y);
	
// Sets buffer from sprite dimentions
var _x_buff = other.bbox_right - other.bbox_left;
var _y_buff = other.bbox_bottom - other.bbox_top;
	
// Calculates the repulse speed from the distance and direction
var _repulse_x = lengthdir_x(clamp(1 - _obs_dist / _x_buff, 0, 1), _obs_dir) * _x_buff * _bump_scale;
var	_repulse_y = lengthdir_y(clamp(1 - _obs_dist / _y_buff, 0, 1), _obs_dir) * _y_buff * _bump_scale;
	
// Adds the new speed to the existing speed
hspeed += _repulse_x;
vspeed += _repulse_y;

// Limits speed to max speed
speed = min(speed, 9);