// Variable for storing object count
var _network_count = instance_number(obj_network);

// Checks for if data can exist
if (obj_lw_handler.network_exist)
{
	// Loops while more data exists as objects
	while (obj_lw_handler.network_count > _network_count)
	{
		// Loops through data count
		for (var _i = 0; _i < obj_lw_handler.network_count; _i++)
		{
			// Variable for is found
			var _is_found = false;
			{
				// Checks all objects
				with (obj_network)
				{
					// Checks if name is the same
					if (staged_id == _i)
					{
						// Sets found state
						_is_found = true;
						// Breaks loop
						break;
					}
				}
				
				// Checks if matching object hasnt been found
				if (!_is_found)
				{
					// Creates object with ID
					create_network(_i);
					// Increases object count
					_network_count++;
					// Breaks loop
					break;
				}
			}
		}
	}
	
	// Loops while less data exists than objects
	while (obj_lw_handler.network_count < _network_count)
	{
		// Checks objects
		with (obj_network)
		{
			// Sets found state to false
			var _is_found = false;
		
			// Loops through data values
			for (var _i = 0; _i < obj_lw_handler.network_count; _i++)
			{
				// Checks for matching id's
				if (staged_id == _i)
				{
					// Sets found to true
					_is_found = true;
					// Stops breaks loop
					break;
				}
			}
			
			// Checks if hasnt been found
			if (!_is_found)
			{
				// Destroys the object
				destroy_network();
				// Decreases the object count
				_network_count--;
				// Breaks loop
				break;
			}
		}
	}
}
else
{
	// Loops through all objects
	with (obj_network)
	{
		// Calls destroy function
		destroy_network();
	}
}