// Gets the bubble effect
var _bubble_fx = layer_get_fx("Bubbles");

// Checks if the data can exist
if (obj_lw_handler.ram_exist)
{	
	// Sets variables to store byte data
	var _curr_bytes = 0;
	var _max_bytes = 0;
	
	// Loops through the avaibale data
	for (var _i = 0; _i < obj_lw_handler.ram_count; _i++)
	{
		// Adds the values from the data to the variables
		_curr_bytes += obj_lw_handler.ram_used[_i];
		_max_bytes += obj_lw_handler.ram_total[_i];
	}
	
	// Calculates the bubbles variable from the stored data
	var _bubbles = round((1 - (_curr_bytes / _max_bytes)) * 1000);
	
	// Sets effect particles to new value
	fx_set_parameter(_bubble_fx, "param_num_particles", _bubbles);
}
else
{
	// Sets effect particles to zero
	fx_set_parameter(_bubble_fx, "param_num_particles", 0);
}



